# Interface NativePlatform

All Superinterfaces:
  `Describable, Named, Platform`

public interface NativePlatform extends Platform, Describable
A target platform for building native binaries. Each target platform is given a name, and may optionally be given a specific `Architecture` and/or `OperatingSystem` to target.

        model {
            platforms {
                windows_x86 {
                    architecture "i386"
                    operatingSystem "windows"
                }
            }
        }

Since:
  2.2

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `architecture(String name)`
  Sets the cpu architecture being targeted.
  `Architecture`
  `getArchitecture()`
  The cpu architecture being targeted.
  `OperatingSystem`
  `getOperatingSystem()`
  The operating system being targeted.
  `void`
  `operatingSystem(String name)`
  Sets the operating system being targeted.

  ### Methods inherited from interface Describable

  `getDisplayName`

  ### Methods inherited from interface Platform

  `getDisplayName, getName`

- ## Method Details

  - ### getArchitecture

    Architecture getArchitecture()
    The cpu architecture being targeted. Defaults to the default architecture produced by the tool chain.
    Since:
      2.2

  - ### architecture

    void architecture(String name)
    Sets the cpu architecture being targeted.

    The architecture is provided as a string name, which is translated into one of the supported architecture types.

    Since:
      2.3
    See Also:
      - Supported notations.

  - ### getOperatingSystem

    OperatingSystem getOperatingSystem()
    The operating system being targeted. Defaults to the default operating system targeted by the tool chain (normally the current operating system).
    Since:
      2.2

  - ### operatingSystem

    void operatingSystem(String name)
    Sets the operating system being targeted.

    The operating system is provided as a string name, which is translated into one of the supported operating system types.

    Since:
      2.3
    See Also:
      - Supported notations.